<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>wcd 6.0.5 - Wherever Change Directory</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rev="made" href="mailto:ASSI@cygwinpro.fritz.box" />
</head>

<body>



<ul id="index">
  <li><a href="#NAMN">NAMN</a></li>
  <li><a href="#SYNOPSIS">SYNOPSIS</a></li>
  <li><a href="#BESKRIVNING">BESKRIVNING</a>
    <ul>
      <li><a href="#versikt">&Ouml;versikt</a></li>
      <li><a href="#Grundlggande-anvndning">Grundl&auml;ggande anv&auml;ndning</a></li>
      <li><a href="#Jokertecken">Jokertecken</a></li>
      <li><a href="#vrig-anvndning">&Ouml;vrig anv&auml;ndning</a></li>
      <li><a href="#Windows-UNC-skvgar">Windows UNC-s&ouml;kv&auml;gar</a></li>
      <li><a href="#Storleksndra-konsolen-p-Windows">Storleks&auml;ndra konsolen p&aring; Windows.</a></li>
      <li><a href="#Grnssnitt">Gr&auml;nssnitt</a></li>
    </ul>
  </li>
  <li><a href="#FLAGGOR">FLAGGOR</a></li>
  <li><a href="#INSTALLATION">INSTALLATION</a>
    <ul>
      <li><a href="#Installera-fr-skal-av-POSIX-typ">Installera f&ouml;r skal av POSIX-typ</a></li>
      <li><a href="#Installera-fr-C-liknande-skal-csh-tcsh">Installera f&ouml;r C-liknande skal (csh, tcsh)</a></li>
      <li><a href="#Windows-kommandotolksversion">Windows kommandotolksversion</a></li>
      <li><a href="#Windows-VISTA-och-hgre">Windows VISTA och h&ouml;gre</a></li>
      <li><a href="#Windows-PowerShell-version">Windows PowerShell version</a></li>
      <li><a href="#OS-2-Kommandotolksversion">OS/2 Kommandotolksversion</a></li>
    </ul>
  </li>
  <li><a href="#LOKALISERING">LOKALISERING</a>
    <ul>
      <li><a href="#WINDOWS-TECKENTABELLER">WINDOWS TECKENTABELLER</a></li>
      <li><a href="#UNICODE">UNICODE</a>
        <ul>
          <li><a href="#UTF-8-p-Unix-Linux">UTF-8 p&aring; Unix/Linux</a></li>
          <li><a href="#UTF-16-p-Windows">UTF-16 p&aring; Windows</a></li>
          <li><a href="#UTF-8-p-Cygwin">UTF-8 p&aring; Cygwin</a></li>
        </ul>
      </li>
    </ul>
  </li>
  <li><a href="#FILER">FILER</a></li>
  <li><a href="#MILJVARIABLER">MILJ&Ouml;VARIABLER</a></li>
  <li><a href="#SE-VEN">SE &Auml;VEN</a></li>
  <li><a href="#SKAPARE">SKAPARE</a></li>
</ul>

<h1 id="NAMN">NAMN</h1>

<p>wcd - Wherever Change Directory</p>

<p>chdir f&ouml;r DOS och Unix</p>

<h1 id="SYNOPSIS">SYNOPSIS</h1>

<pre><code>    wcd [flaggor] [katalog]</code></pre>

<h1 id="BESKRIVNING">BESKRIVNING</h1>

<h2 id="versikt">&Ouml;versikt</h2>

<p>Wcd &auml;r ett kommandoradsprogram f&ouml;r att snabbt byta katalog. Det sparar tid genom att du beh&ouml;ver skriva mindre p&aring; tangentbordet. Man beh&ouml;ver bara skriva en del av ett katalognamn och wcd hoppar dit. Wcd har en snabb urvalsmetod vid flera matchningar och till&aring;ter alias och f&ouml;rbud av kataloger. Wcd inneh&aring;ller ocks&aring; en interaktiv katalogtr&auml;dl&auml;sare i helsk&auml;rm med snabbare s&ouml;kning.</p>

<p>Wcd inspirerades av Norton Change Directory (NCD). NCD d&ouml;k upp f&ouml;rst i <i>The Norton Utilities, Release 4</i>, f&ouml;r DOS 1987, publicerad av Peter Norton.</p>

<p>Wcd har portats till flera olika kommandoradsskal: DOS command.com, Windows cmd.exe och PowerShell, OS/2 cmd.exe och Unix-skal som Bourne (sh), Bourne Again (bash), Korn (ksh) , Z (zsh) och C (csh) skal och andra som k&ouml;rs p&aring; valfritt operativsystem.</p>

<p>Wcd st&ouml;der 8-bitars teckenupps&auml;ttningar p&aring; alla system, och har valfritt st&ouml;d f&ouml;r Unicode. Se avsnitt LOKALISERING.</p>

<p>Se avsnittet INSTALLATION f&ouml;r hur du st&auml;ller in wcd f&ouml;r personligt bruk.</p>

<h2 id="Grundlggande-anvndning">Grundl&auml;ggande anv&auml;ndning</h2>

<p>Som standard (om inga jokertecken anv&auml;nds) s&ouml;ker wcd efter en katalog med ett namn som b&ouml;rjar med det inskrivna namnet.</p>

<p>Detta kommando kommer till exempel att &auml;ndra katalog till den aktuella anv&auml;ndarens <code>/home/user/Desktop</code>:</p>

<pre><code>    wcd Desk</code></pre>

<p>N&auml;r det finns flera matchningar kommer wcd att visa anv&auml;ndaren en lista &ouml;ver alla matchningar. Anv&auml;ndaren kan sedan g&ouml;ra ett val med n&aring;gra f&aring; knapptryckningar (oftast bara ett).</p>

<h2 id="Jokertecken">Jokertecken</h2>

<p>Wcd st&ouml;der f&ouml;ljande jokertecken:</p>

<pre><code>     *        matchar alla teckensekvenser (noll eller fler)
     ?        matchar vilket tecken som helst
     [SET] matchar vilket tecken som helst i den angivna upps&auml;ttningen,
     [!SET] eller [^SET] matchar alla tecken som inte finns i den angivna upps&auml;ttningen.</code></pre>

<p>En upps&auml;ttning(SET) best&aring;r av tecken eller intervall; ett intervall ser ut som <i>teckenbindestreck</i> som i <code>0-9</code> eller <code>A-Z</code>. <code>[0-9a-zA-Z_]</code> &auml;r den minimala upps&auml;ttningen tecken som till&aring;ts i <code>[..]</code>-m&ouml;nsterkonstruktionen. Internationella tecken (dvs. 8-bitars tecken) &auml;r till&aring;tna om systemet st&ouml;der dem. F&ouml;r att undertrycka den speciella syntaktiska betydelsen av n&aring;gon av <code>[]*?!^-\</code> i eller utanf&ouml;r en <code>[..]</code>-konstruktion och matcha tecknet exakt, f&ouml;reg&aring; tecknet med snedstreckmark&ouml;r (<code>\</code>).</p>

<p>Att anv&auml;nda jokertecken m&ouml;jligg&ouml;r kraftfulla s&ouml;kningar. Till exempel matchar detta alla katalognamn som slutar med &quot;top&quot;:</p>

<pre><code>    wcd *top</code></pre>

<p>Matcha kataloger som har &quot;top&quot; var som helst i namnet:</p>

<pre><code>    wcd *top*</code></pre>

<p>Matcha alla katalognamn som b&ouml;rjar med &quot;a&quot;, &quot;b&quot; eller &quot;c&quot;:</p>

<pre><code>    wcd [a-c]*</code></pre>

<p>Det &auml;r ocks&aring; m&ouml;jligt att tillhandah&aring;lla en del av katalog-s&ouml;kv&auml;gen. H&auml;r s&ouml;ker Wcd efter en katalog som b&ouml;rjar med &quot;Desk&quot; och vars s&ouml;kv&auml;g matchar <i>*me/Desk*</i>.</p>

<pre><code>    wcd me/Desk</code></pre>

<p>Det &auml;r till&aring;tet att skriva alla slags uttryck med snedstreck och jokertecken. T.ex.:</p>

<pre><code>    wcd src*/*1?/a*2</code></pre>

<h2 id="vrig-anvndning">&Ouml;vrig anv&auml;ndning</h2>

<p>Om inga jokertecken anv&auml;nds och wcd hittar en perfekt matchning, ignorerar wcd alla jokermatchningar som standard. Detta beteende kan &auml;ndras med flaggan <b>-w</b>.</p>

<p>Den interaktiva katalogtr&auml;dsl&auml;saren kan startas genom att anv&auml;nda flaggan <b>-g</b>.</p>

<pre><code>    wcd -g</code></pre>

<p>Wcd genererar en tr&auml;datafil d&auml;r den s&ouml;ker efter katalog. P&aring; Unix och Windows-system l&auml;gger wcd till symboliska l&auml;nkar till tr&auml;datafilen som skannar disken, men inte f&ouml;ljer dem. Genom att f&ouml;lja l&auml;nkar kan det sluta med att wcd skannar o&auml;ndliga loopar eller stora delar av ett n&auml;tverk.</p>

<p>Wcd kan ocks&aring; byta till kataloger som inte finns i tr&auml;ddatafilen. T.ex.:</p>

<pre><code>    wcd ..</code></pre>

<p>Om wcd hittade en matchning men inte kan &auml;ndra till katalogen f&ouml;rs&ouml;ker den ta bort den fr&aring;n standardtr&auml;ddatafilen. Inte fr&aring;n den extra tr&auml;ddatafilen. Se &auml;ven flaggan <b>-k</b>.</p>

<p>Wcd beh&aring;ller en katalogstack som &auml;r lagrad p&aring; disken. Stacken har en standardstorlek p&aring; 10 och &auml;r cyklisk. Se flaggorna <b>-z</b>, <b>-</b>, <b>+</b> och <b>=</b>.</p>

<p>I fleranv&auml;ndarmilj&ouml;er kan flaggan <b>-u</b> anv&auml;ndas f&ouml;r att byta till kataloger f&ouml;r andra anv&auml;ndare.</p>

<p>P&aring; DOS- och Windows-system spelar det ingen roll om du anv&auml;nder ett snedstreck &quot;/&quot; eller ett omv&auml;nt snedstreck &quot;\&quot; som katalogavgr&auml;nsare.</p>

<p>Det &auml;r p&aring; DOS- och Windows-system m&ouml;jligt att byta enhet och katalog p&aring; en g&aring;ng genom att f&ouml;reg&aring; katalognamnet med enhetsnamnet.</p>

<pre><code>    wcd d:games</code></pre>

<h2 id="Windows-UNC-skvgar">Windows UNC-s&ouml;kv&auml;gar</h2>

<p>Windows-versionerna (Kommandotolken, PowerShell, MSYS, zsh, cygwin) st&ouml;der Windows SMB LAN UNC-s&ouml;kv&auml;gar utan enhetsbokstav som <code>\\servernamn\sharename</code>. Wcd f&ouml;r Windows Kommandotolk anv&auml;nder kommandot &quot;pushd&quot; f&ouml;r att automatiskt mappa en UNC-s&ouml;kv&auml;g till en enhetsbeteckning. I Windows PowerShell, MSYS, zsh och Cygwin UNC- st&ouml;ds s&ouml;kv&auml;gar fullt ut. Den aktuella arbetskatalogen kan vara en UNC-s&ouml;kv&auml;g.</p>

<h2 id="Storleksndra-konsolen-p-Windows">Storleks&auml;ndra konsolen p&aring; Windows.</h2>

<p>Wcd st&ouml;der storleks&auml;ndring av konsolen i Windows 10 och ConEmu (se <a href="https://conemu.github.io/">https://conemu.github.io/</a>) fr&aring;n och med version 6.0.3. Konsolen i Windows 10 f&aring;r inte vara i f&ouml;r&aring;ldrat l&auml;ge (se konsolinst&auml;llningarna). Sk&auml;rmen kanske inte uppdateras n&auml;r konsolens Layout-egenskap &quot;Radbryt text vid storleks&auml;ndring&quot; &auml;r inaktiverad. Sk&auml;rmen kan uppdateras manuellt genom att trycka p&aring; tangenten F5.</p>

<h2 id="Grnssnitt">Gr&auml;nssnitt</h2>

<p>Wcd har tre olika gr&auml;nssnitt att v&auml;lja fr&aring;n en lista med matchningar. Gr&auml;nssnittet kan v&auml;ljas vid kompilering.</p>

<p>Det f&ouml;rsta gr&auml;nssnittet anv&auml;nder vanlig stdin/stdout. En numrerad lista skrivs ut i terminalen. Anv&auml;ndaren m&aring;ste v&auml;lja fr&aring;n listan genom att skriva en siffra f&ouml;ljt av &lt;Retur&gt;. Det h&auml;r gr&auml;nssnittet ger inte m&ouml;jlighet att rulla tillbaka funktionalitet i h&auml;ndelse av en l&aring;ng lista. Terminalens/konsolens rullningsf&ouml;rm&aring;ga anv&auml;ndas. Den &auml;r v&auml;ldigt liten och portabel.</p>

<p>Det andra gr&auml;nssnittet &auml;r byggt med conio-biblioteket. Det ger en inbyggd rullningsf&ouml;rm&aring;ga. Anv&auml;ndaren f&aring;r en lista numrerad med bokst&auml;ver. Att v&auml;lja fr&aring;n en lista kan g&ouml;ras genom att trycka p&aring; en bokstav. Detta gr&auml;nssnitt &auml;r snabbt eftersom det sparar tangenttryckningar. Om m&ouml;jligt kommer sk&auml;rmen att &aring;terst&auml;llas efter att ha avslutats. Den som f&ouml;redrar att skriva siffror kan anv&auml;nda flaggan <b>-N</b>.</p>

<p>Det tredje gr&auml;nssnittet &auml;r byggt med curses-biblioteket. Det liknar conio-gr&auml;nsnittet. Curses-versionen av wcd har ocks&aring; ett ytterligare ett &quot;grafiskt&quot; gr&auml;nssnitt. Det l&aring;ter anv&auml;ndare v&auml;lja en katalog via en helsk&auml;rms interaktiv katalogtr&auml;dvy. Det har en vim(1)-liknande navigation och s&ouml;k. Det aktiveras med flaggan <b>-g</b>.</p>

<p>Genom att anv&auml;nda flaggan <b>-o</b>kan man alltid falla tillbaka till stdin/stdout-gr&auml;nssnittet.</p>

<h1 id="FLAGGOR">FLAGGOR</h1>

<dl>

<dt id="a"><b>-a</b></dt>
<dd>

<p>L&auml;gg till nuvarande s&ouml;kv&auml;g till standard tr&auml;ddatafilen.</p>

<p>Anv&auml;nd den h&auml;r flaggan f&ouml;r att snabbt l&auml;gga till den aktuella s&ouml;kv&auml;gen till standardtr&auml;ddatafilen. Att s&ouml;ka om hela disken kan i vissa fall ta l&aring;ng tid.</p>

</dd>
<dt id="aa"><b>-aa</b></dt>
<dd>

<p>L&auml;gg till aktuell och &ouml;verordnade s&ouml;kv&auml;gar till standardtr&auml;ddatafilen.</p>

</dd>
<dt id="A-SKVG"><b>-A S&Ouml;KV&Auml;G</b></dt>
<dd>

<p>S&ouml;k av katalogtr&auml;det fr&aring;n <i>S&Ouml;KV&Auml;G</i> och l&auml;gg till standardtr&auml;ddatafilen. Exempel:</p>

<pre><code>    wcd -A .
    wcd -A /home -A /etc
    wcd -A d: -A e: -A \\server\share</code></pre>

<p>P&aring; Windows kan man s&ouml;ka av alla delade kataloger p&aring; en Windows LAN-server genom att skriva n&aring;got i stil med: <code>wcd -A \\servernamn</code>.</p>

<p>Se ocks&aring; flaggan <b>-S</b> och <b>-s</b> och <b>-E</b>.</p>

</dd>
<dt id="b"><b>-b</b></dt>
<dd>

<p>F&ouml;rbjud nuvarande s&ouml;kv&auml;g.</p>

<p>Wcd placerar den aktuella s&ouml;kv&auml;gen i f&ouml;rbjudsfilen. Detta betyder att wcd ignorerar alla matchningar av denna katalog och dess underkataloger.</p>

<p>F&ouml;rbjudsfilen kan redigeras med en textredigerare. Anv&auml;ndning av jokertecken st&ouml;ds och namn matchas mot den absoluta s&ouml;kv&auml;gen.</p>

<p>F&ouml;rbjudna s&ouml;kv&auml;gar &auml;r inte exkluderade fr&aring;n s&ouml;kning av disk. F&ouml;r detta,anv&auml;nd flaggan <b>-xf</b>.</p>

</dd>
<dt id="c---direct-cd"><b>-c, --direct-cd</b></dt>
<dd>

<p>Direkt CD-l&auml;ge. Som standard fungerar wcd enligt f&ouml;ljande:</p>

<pre><code>    1. F&ouml;rs&ouml;ka att hitta en matching i tr&auml;datafilen
    2. Om ingen matchning hittades, f&ouml;rs&ouml;k att &ouml;ppna katalogen du skrev in.</code></pre>

<p>I direkt CD-l&auml;ge fungerar wcd i omv&auml;nd ordning.</p>

<pre><code>    1. F&ouml;rs&ouml;ka att &ouml;ppna katalogen du skriv in.
    2. Om inte, f&ouml;rs&ouml;k att hitta en matchning i tr&auml;datafilen.</code></pre>

</dd>
<dt id="d-DISK"><b>-d DISK</b></dt>
<dd>

<p>St&auml;ll in disk f&ouml;r stack and go-fil (DOS endast).</p>

<p>Stackfilen och go-scriptet lagras som standard p&aring; enhet C: om milj&ouml;variabeln <i>HOME</i> &auml;r tom. Anv&auml;nd denna flagga om enheten C: &auml;r en skrivskyddad enhet. Flaggan m&aring;ste anges framf&ouml;r stackflaggorna <b>-</b>, <b>+</b> och <b>=</b>.</p>

</dd>
<dt id="e"><b>-e</b></dt>
<dd>

<p>L&auml;gg till nuvarande s&ouml;kv&auml;g till extra tr&auml;ddatafil.</p>

<p>Anv&auml;nd den h&auml;r flaggan f&ouml;r att snabbt l&auml;gga till den aktuella s&ouml;kv&auml;gen till den extra tr&auml;ddatafilen.</p>

</dd>
<dt id="ee"><b>-ee</b></dt>
<dd>

<p>L&auml;gg till aktuella och alla &ouml;verordnade s&ouml;kv&auml;gar till extra tr&auml;ddatafil.</p>

</dd>
<dt id="E-SKVG"><b>-E S&Ouml;KV&Auml;G</b></dt>
<dd>

<p>Skanna katalogtr&auml;det fr&aring;n <i>S&Ouml;KV&Auml;G</i> och l&auml;gg till filen Extra tr&auml;data. Se &auml;ven flaggan <b>-A</b> och <b>-S</b>.</p>

</dd>
<dt id="f-FIL"><b>-f FIL</b></dt>
<dd>

<p>L&auml;s tr&auml;ddatafil <i>FIL</i>. L&auml;s inte standardtr&auml;ddatafilen.</p>

</dd>
<dt id="f-FIL1"><b>+f FIL</b></dt>
<dd>

<p>L&auml;s tr&auml;ddatafil <i>FIL</i> f&ouml;rutom standardtr&auml;ddatafilen.</p>

</dd>
<dt id="g"><b>-g</b></dt>
<dd>

<p>Grafiskt gr&auml;nssnitt (endast i version med curses-gr&auml;nssnitt).</p>

<p>Wcd starter med ett curses-baserat text &quot;grafiskt&quot; gr&auml;nsnitt. Anv&auml;ndaren kan v&auml;lja katalog via en helsk&auml;rms interaktiv katalogbaserad tr&auml;dvy. Den har en vim(1)-liknande navigation och s&ouml;k.</p>

<p>Om ingen s&ouml;kstr&auml;ng anges visar wcd hela tr&auml;det som finns i standardtr&auml;ddatafilen och de extra tr&auml;ddatafilerna.</p>

<p>Om en s&ouml;kstr&auml;ng anges visas matchningslistan som ett katalogtr&auml;d.</p>

<p>Standardtr&auml;dvyn liknar tr&auml;dlayouten i det ursprungliga NCD p&aring; DOS. Skillnaderna &auml;r att i NCD &auml;r alla kataloger p&aring; samma djupniv&aring; vertikalt justerade &ouml;ver hela tr&auml;det. Det var i NCD m&ouml;jligt eftersom maximal l&auml;ngd f&ouml;r en katalognamn i DOS var 12 (8.3) tecken. P&aring; moderna operativsystem kan katalognamn vara v&auml;ldigt stora. D&auml;rf&ouml;r &auml;r kataloger med samma djup inte vertikalt justerade &ouml;ver hela tr&auml;det i wcd, utan bara i underniv&aring;er. S&aring;, det kommer att finnas en del sidor&ouml;relser n&auml;r man f&ouml;rflyttar sig upp och ned fr&aring;n en underniv&aring; till en en annan underniv&aring;.</p>

<p>Navigationsbeteendet i Wcd &auml;r precis likadant som i det ursprungliga NCD. Till exempel, och du trycker ned tangenten Ned kan du g&aring; ned&aring;t till n&auml;sta samma djupniv&aring;, och hoppa &ouml;ver grenar. Det m&ouml;jlig&ouml;r en snabb navigation tr&auml;det.</p>

<p>Se flaggan <b>-Ta</b>, <b>-TC</b>, och <b>-Tc</b> f&ouml;r att &auml;ndra navigeringsbeteendet.</p>

</dd>
<dt id="gd"><b>-gd</b></dt>
<dd>

<p>Dumpa tr&auml;ddatafilerna som ett tr&auml;d till stdout.</p>

</dd>
<dt id="G-SKVG"><b>-G S&Ouml;KV&Auml;G</b></dt>
<dd>

<p>Skriv go-skript i katalogen <i>S&Ouml;KV&Auml;G</i>. Till exempel p&aring; Unix kommer <code>wcd -G S&Ouml;KV&Auml;G</code> att skriva ett go-skript p&aring; <b>S&Ouml;KV&Auml;G/wcd.go</b>.</p>

</dd>
<dt id="GN---no-go-script"><b>-GN, --no-go-script</b></dt>
<dd>

<p>Skapa inte go-script. Detta alternativ kan anv&auml;ndas i kombination med flaggan <b>-j</b> om man inte vill att wcd ska skapa ett go-script.</p>

</dd>
<dt id="h---help"><b>-h, --help</b></dt>
<dd>

<p>Visa hj&auml;lp och avsluta.</p>

</dd>
<dt id="i---ignore-case"><b>-i, --ignore-case</b></dt>
<dd>

<p>Skiftl&auml;gesk&auml;nsligt l&auml;ge. Dos och Windows-versionerna av wcd &auml;r skiftl&auml;gesk&auml;nsliga som standard. Unix/Cygwin-versioner &auml;r det inte.</p>

</dd>
<dt id="i---no-ignore-case"><b>+i, --no-ignore-case</b></dt>
<dd>

<p>Beakta skiftl&auml;ge. Se ocks&aring; flaggan <b>-i</b>.</p>

</dd>
<dt id="I---ignore-diacritics"><b>-I, --ignore-diacritics</b></dt>
<dd>

<p>Ignorera diakritiska tecken f&ouml;r latinbaserade skrivspr&aring;k. Bokst&auml;ver med diakritiska tecken matchar deras grundbokstav utan diakritiskt tecken. F&ouml;ljande latinska kodningar st&ouml;ds: CP437, CP850, CP852, CP1250, CP1252, ISO-8859-1, ISO-8859-2 och Unicode Latin-1, Latin Extended-A och Latin Extended-B. Se &auml;ven <a href="http://en.wikipedia.org/wiki/Diacritic">http://en.wikipedia.org/wiki/Diacritic</a></p>

</dd>
<dt id="I---no-ignore-diacritics"><b>+I, --no-ignore-diacritics</b></dt>
<dd>

<p>Beakta diakritiska tecken (standard). Se ocks&aring; flaggan <b>-I</b>.</p>

</dd>
<dt id="j---just-go"><b>-j, --just-go</b></dt>
<dd>

<p>K&ouml;r-p&aring;-l&auml;ge.</p>

<p>I detta l&auml;ge kommer wcd inte att visa en lista n&auml;r det finns mer &auml;n en katalog som matchar den givna katalogen. Wcd kommer bara att &auml;ndra till det f&ouml;rsta alternativet. N&auml;r wcd anropas igen med samma argument kommer det att &auml;ndra till n&auml;sta alternativ, och s&aring; vidare.</p>

<p>Wcd kommer att skriva ut katalogen till att g&aring; mot stdout. S&aring;, en annan installationsmetod kan anv&auml;ndas. Man kan exempelvis skapa f&ouml;ljande funktion f&ouml;r ett POSIX-kompatibelt skal:</p>

<pre><code>    wcd ()
    {
        cd &quot;$($HOME/bin/wcd.exe -j $@)&quot;
    }</code></pre>

<p>N&auml;r du anv&auml;nder ett gammalt skal som inte st&ouml;der &quot;$()&quot; kommandosubstitution m&aring;ste du anv&auml;nda &auml;ldre kommandosubstitution med bakre citattecken.</p>

<pre><code>    wcd ()
    {
        cd &quot;`$HOME/bin/wcd.exe -j $@`&quot;
    }</code></pre>

<p>P&aring; Windows-system, om man k&ouml;r 4NT-skal, kan man skapa f&ouml;ljande alias:</p>

<pre><code>    alias wcd `cd %@execstr[wcdwin32.exe -z 0 -j %1]`</code></pre>

<p>Denna metod eliminerar behovet av go-script, s&aring; man kan anv&auml;nda flaggan <b>-GN</b> i kombination med <b>-j</b>.</p>

</dd>
<dt id="k---keep-paths"><b>-k, --keep-paths</b></dt>
<dd>

<p>Beh&aring;ll s&ouml;kv&auml;gar.</p>

<p>Beh&aring;ll s&ouml;kv&auml;gar i tr&auml;ddatafilen n&auml;r wcd inte kan &auml;ndra till dem. Standard beteendet f&ouml;r wcd &auml;r att den f&ouml;rs&ouml;ker ta bort s&ouml;kv&auml;gar fr&aring;n tr&auml;ddata-filen n&auml;r wcd inte kan &auml;ndra dem. Med den h&auml;r flaggan inaktiveras detta beteende.</p>

</dd>
<dt id="K---color"><b>-K, --color</b></dt>
<dd>

<p>Anv&auml;nd f&auml;rger i grafiskt l&auml;ge.</p>

</dd>
<dt id="l-ALIAS"><b>-l ALIAS</b></dt>
<dd>

<p>Namnge den aktuella s&ouml;kv&auml;gen med <i>ALIAS</i>. Wcd placerar den aktuella s&ouml;kv&auml;gen med alias <i>ALIAS</i> i aliasfilen. Alias &auml;r skiftl&auml;gesk&auml;nsliga.</p>

</dd>
<dt id="ls"><b>-ls</b></dt>
<dd>

<p>Visa namnet p&aring; alias filen, och lista alla alias.</p>

</dd>
<dt id="m-KAT"><b>-m KAT</b></dt>
<dd>

<p>Skapa katalog och l&auml;gg till i tr&auml;ddatafilen.</p>

</dd>
<dt id="L---license"><b>-L, --license</b></dt>
<dd>

<p>Skriv ut distributionslicensen.</p>

</dd>
<dt id="M-KAT"><b>-M KAT</b></dt>
<dd>

<p>Skapa katalog och och l&auml;gg till i extra tr&auml;ddatafil.</p>

</dd>
<dt id="n-SKVG"><b>-n S&Ouml;KV&Auml;G</b></dt>
<dd>

<p>L&auml;s relativ tr&auml;ddatafil fr&aring;n <i>S&Ouml;KV&Auml;G</i>.</p>

<p>L&auml;s inte standardtr&auml;ddatafilen. Den relativa tr&auml;ddatafilen borde redan ha skapats med flaggan wcd <b>+S</b>. <i>S&Ouml;KV&Auml;G</i> kan ocks&aring; peka direkt p&aring; en fil.</p>

<p>Ett exempel. Anta att ett annat system har monterats p&aring; monteringspunkt <code>/mnt/network</code>:</p>

<pre><code>    wcd -n /mnt/network src</code></pre>

<p>Wcd &ouml;ppnar den relativa tr&auml;ddatafilen i <code>/mnt/network/</code>. Filen inneh&aring;ller s&ouml;kv&auml;garna fr&aring;n den punkten.</p>

</dd>
<dt id="n-SKVG1"><b>+n S&Ouml;KV&Auml;G</b></dt>
<dd>

<p>L&auml;s relativ tr&auml;ddatafil ut&ouml;ver standardtr&auml;ddatafilen. Se flaggan <b>-n</b>.</p>

</dd>
<dt id="N---numbers"><b>-N, --numbers</b></dt>
<dd>

<p>Anv&auml;nd siffror ist&auml;llet f&ouml;r bokst&auml;ver.</p>

<p>Wcd med ett conio- eller curses-baserat gr&auml;nssnitt (se avsnittet Gr&auml;nssnitt) presenterar som standard en matchlista numrerad med bokst&auml;ver. N&auml;r alternativet <b>-N</b> anv&auml;nds &auml;r matchlistan numrerad med siffror. Oavsett om alternativet <b>-N</b> anv&auml;nds kan man kan man skriva en bokstav eller siffror f&ouml;r att g&ouml;ra ett val fr&aring;n matchningslistan.</p>

</dd>
<dt id="o"><b>-o</b></dt>
<dd>

<p>Anv&auml;nd stdin/stdout-gr&auml;nssnitt.</p>

<p>N&auml;r conio- eller curses-gr&auml;nssnittet f&ouml;r wcd av n&aring;gon slags anledning inte fungerar kan man falla tillbaka till stdin/stdout-gr&auml;nssnittet f&ouml;r wcd genom att anv&auml;nda flaggan <b>-o</b>.</p>

</dd>
<dt id="od---to-stdout"><b>-od, --to-stdout</b></dt>
<dd>

<p>Dumpa alla matchningar till stdout.</p>

</dd>
<dt id="q---quiet"><b>-q, --quiet</b></dt>
<dd>

<p>Tystare k&ouml;rning. Utskriften av den sista matchningen ignoreras.</p>

</dd>
<dt id="r-KAT"><b>-r KAT</b></dt>
<dd>

<p>Ta bort katalog och ta bort fr&aring;n tr&auml;ddatafil.</p>

<p>Om katalogen &auml;r tom kommer wcd att ta bort den och f&ouml;rs&ouml;ka ta bort den fr&aring;n tr&auml;ddatafilen.</p>

</dd>
<dt id="rmtree-KAT"><b>-rmtree KAT</b></dt>
<dd>

<p>Rekursivt ta bort katalogen och ta bort fr&aring;n tr&auml;ddatafil.</p>

<p>Wcd kommer ta bort katalog och alla dess underkataloger och filer, och ta bort katalogerna fr&aring;n tr&auml;ddatafil.</p>

</dd>
<dt id="s"><b>-s</b></dt>
<dd>

<p>(om)S&ouml;k av disken fr&aring;n <code>$HOME</code>-katalogen. Om <i>HOME</i> inte &auml;r definierat skannas disken fr&aring;n rotkatalogen /.</p>

<p>Den befintliga standardtr&auml;ddatafilen skrivs &ouml;ver.</p>

<p>Standardskanningskatalogen kan &aring;sidos&auml;ttas med milj&ouml;variabel <code>WCDSCAN</code>. Se avsnittet MILJ&Ouml;VARIABLER.</p>

</dd>
<dt id="S-SKVG"><b>-S S&Ouml;KV&Auml;G</b></dt>
<dd>

<p>Skanna katalogtr&auml;det fr&aring;n <i>S&Ouml;KV&Auml;G</i> och skriv &ouml;ver standardtr&auml;ddatafil. Se &auml;ven flaggan <b>-A</b>, <b>-s</b> och <b>-E</b>. T.ex. med flaggan <b>-A</b> kan du skapa en standardtr&auml;ddatafil som du v&auml;ljer. Exempel:</p>

<p>Unix:</p>

<pre><code>    wcd -S /
    wcd -S /home -A /etc -A /usr</code></pre>

<p>DOS/Windows:</p>

<pre><code>    wcd -S c:/
    wcd -S c: -A d: -A \\server\share</code></pre>

<p>Med Windows-versionerna kan man s&ouml;ka av alla delade kataloger p&aring; en Windows LAN-server genom att skriva n&aring;got i stil med: <code>wcd -S \\servernamn</code>.</p>

</dd>
<dt id="S-SKVG1"><b>+S S&Ouml;KV&Auml;G</b></dt>
<dd>

<p>S&ouml;k av disk fr&aring;n <i>S&Ouml;KV&Auml;G</i> och placera relativa s&ouml;kv&auml;gar i en relativ tr&auml;ddatafil. Den h&auml;r filen anv&auml;nds av flaggan <b>-n</b> och <b>+n</b> i wcd. T.ex. <code>wcd -n S&Ouml;KV&Auml;G src</code>.</p>

</dd>
<dt id="t"><b>-t</b></dt>
<dd>

<p>Ta inte bort tmp mount katalog <code>/tmp_mnt</code> (endast Unix)</p>

<p>Wcd stryker som standard <code>/tmp_mnt/</code> fr&aring;n matchningen. Katalog <code>/tmp_mnt</code>anv&auml;nds av den automatiska r&auml;knaren. Detta beteende kan st&auml;ngas av med flaggan <b>-t</b>.</p>

</dd>
<dt id="T---ascii-tree"><b>-T, --ascii-tree</b></dt>
<dd>

<p>Rita tr&auml;d med ASCII-tecken. Anv&auml;nd den h&auml;r flaggan om linjeteckningstecken inte visas korrekt i din terminal.</p>

</dd>
<dt id="Ta---alt-tree-nav"><b>-Ta, --alt-tree-nav</b></dt>
<dd>

<p>Alternativt s&auml;tt att navigera det grafiska tr&auml;det.</p>

<p>I standardtr&auml;dlayouten i NCD-stil inaktiverar flagga <b>-Ta</b> hoppning till orelaterade kataloger.</p>

<p>I kompakt tr&auml;d-l&auml;get g&ouml;r det alternativa l&auml;get att navigeringen liknar navigering i GUI-filhanterare som Windows Explorer eller Linux KDE. Konqueror. Genom att trycka p&aring; Upp och Ned flyttas den valda mappen en rad upp&aring;t eller ned&aring;t. Genom att trycka p&aring; v&auml;nster viks f&ouml;rst undermapparna och n&auml;sta drag till v&auml;nster flyttar verkligen &aring;t v&auml;nster</p>

<p>Du kan v&auml;xla mellan standardnavigering och alternativ navigering i farten genom att genom att trycka p&aring; &lt;Skift-A&gt;.</p>

<p>N&auml;r alternativt navigeringsl&auml;ge &auml;r p&aring; ser du ett &quot;A&quot; i det nedre h&ouml;gra h&ouml;rnet.</p>

</dd>
<dt id="TC---center-tree"><b>-TC, --center-tree</b></dt>
<dd>

<p>Centrerad vy i det grafiska tr&auml;det. Den valda katalogen stannar kvar i mitten av sk&auml;rmen. Det centrerade l&auml;get kan ocks&aring; sl&aring;s p&aring; och av med tangenten &lt;t&gt; i det grafiska tr&auml;det.</p>

<p>Det icke-centrerade standardbeteendet, som minimerar tr&auml;dr&ouml;relser, &auml;rdetsamma som i ursprungliga NCD.</p>

</dd>
<dt id="Tc---compact-tree"><b>-Tc, --compact-tree</b></dt>
<dd>

<p>Som standard ritas det &quot;grafiska&quot; tr&auml;det p&aring; samma s&auml;tt som i ursprungliga NCD p&aring; DOS. P&aring; DOS kunde en katalogs&ouml;kv&auml;g endast best&aring; av totalt 66 tecken. Med dagens djupa katalogstrukturer kan tr&auml;det bli mycket brett. F&ouml;r att &ouml;vervinna detta kan wcd rita tr&auml;det p&aring; ett kompakt s&auml;tt, liknande de flesta GUI filhanterare, med endast en mapp per rad. Anv&auml;nd alternativ <b>-Tc</b> eller v&auml;xla p&aring;-i farten med &lt;m&gt;-tangenten.</p>

</dd>
<dt id="Td---cjk-width"><b>-Td, --cjk-width</b></dt>
<dd>

<p>Gamla &ouml;stasiatiska CJK-teckensnitt (kinesiska, japanska och koreanska) har vissa tecken och linjedragningssymboler med en kolumnbredd p&aring; 2, medan de den normala Unicode-bredden f&ouml;r dessa tecken &auml;r 1 kolumn. Till exempel Kinesiska CP936-rasterteckensnittet i Windows och Simsun-teckensnittet. Anv&auml;nd den h&auml;r flaggaf&ouml;r att f&aring; en korrekt konturering av det grafiska tr&auml;det n&auml;r ett &auml;ldre CJK-teckensnitt anv&auml;nds.</p>

<p>N&auml;r CJK-l&auml;get &auml;r p&aring;, kommer du att se ett &quot;C&quot; i det nedre h&ouml;gra h&ouml;rnet.</p>

</dd>
<dt id="u-USER"><b>-u USER</b></dt>
<dd>

<p>S&ouml;k i en annan anv&auml;ndares tr&auml;ddatafil baserat p&aring; <i>USER</i>, s&ouml;k inte i inte din egen standardtr&auml;ddatafil. Se &auml;ven avsnittet MILJ&Ouml;VARIABLER f&ouml;r <i>WCDUSERSHOME</i>.</p>

<p>P&aring; Unix/Cygwin antas baskatalogen f&ouml;r anv&auml;ndarhemkataloger vara <code>/home</code>. Wcd kommer att leta efter <code>/home/USER/.treedata.wcd</code> och <code>/home/USER/.wcd/.treedata.wcd</code>, i den ordningen, och l&auml;sa den f&ouml;rsta som finns och &auml;r l&auml;sbar. P&aring; DOS/Windows antas baskatalogen f&ouml;r anv&auml;ndarhemkataloger vara <code>\\users</code>, s&aring; wcd f&ouml;rs&ouml;ker l&auml;sa <code>\\users\USER\treedata.wcd</code> och <code>\\users\USER\.wcd \treedata.wcd</code>.</p>

</dd>
<dt id="u-USER1"><b>+u USER</b></dt>
<dd>

<p>L&auml;s standardtr&auml;ddatafilen f&ouml;r USER f&ouml;rutom din egen tr&auml;ddatafil.</p>

</dd>
<dt id="v---verbose"><b>-v, --verbose</b></dt>
<dd>

<p>Visa utf&ouml;rliga meddelanden. Med det h&auml;r flagga skriver wcd ut alla filter, f&ouml;rbjud och exkluderingar.</p>

</dd>
<dt id="V---version"><b>-V, --version</b></dt>
<dd>

<p>Skriv ut versionsinformation och avsluta.</p>

</dd>
<dt id="w---wild-match-only"><b>-w, --wild-match-only</b></dt>
<dd>

<p>Endast matching med jokertecken. Behandla alla matchningar som s&aring;dana.</p>

</dd>
<dt id="x-SKVG"><b>-x S&Ouml;KV&Auml;G</b></dt>
<dd>

<p>Uteslut <i>S&Ouml;KV&Auml;G</i> fr&aring;n skanning.</p>

<p>N&auml;r detta alternativ anv&auml;nds kommer wcd att exkludera <i>S&Ouml;KV&Auml;G</i> och alla dess underkataloger n&auml;r wcd skannar en disk. Jokertecken st&ouml;ds och matchas mot absoluta s&ouml;kv&auml;gar. Flaggan <b>-x</b> kan anv&auml;ndas flera g&aring;nger.</p>

<pre><code>    wcd -x &lt;s&ouml;kv&auml;g1&gt; -x &lt;s&ouml;v&auml;g2&gt; -s</code></pre>

<p>Flaggan <b>-x</b> m&aring;ste anv&auml;ndas framf&ouml;r alla skanningsalternativ (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

<p>P&aring; DOS/Windows-system m&aring;ste man ange enhetsbeteckningen beroende p&aring; om milj&ouml;variabeln <i>HEM</i> eller <i>WCDHEM</i> &auml;r inst&auml;lld. Om <i>HEM</i> eller <i>WCDHEM</i> &auml;r inst&auml;lld m&aring;ste man ange enhetsbeteckningen. Ett exempel:</p>

<pre><code>    wcd -x c:/temp -S c:</code></pre>

<p>Ange annars inte enhetsbeteckning.</p>

<pre><code>    wcd -x /temp -s</code></pre>

</dd>
<dt id="xf-FIL"><b>-xf FIL</b></dt>
<dd>

<p>Uteslut alla s&ouml;kv&auml;gar som anges i <i>FIL</i> fr&aring;n skanning.</p>

<p>N&auml;r den h&auml;r flaggan anv&auml;nds utesluter wcd alla s&ouml;kv&auml;gar som anges i <i>FILE</i> och alla deras underkataloger n&auml;r wcd skannar en disk. Jokertecken st&ouml;ds och de matchas mot absoluta s&ouml;kv&auml;gar; en s&ouml;kv&auml;g per rad. Wch ignorerar inte ledande eller avslutande blanksteg p&aring; en rad, eftersom de &auml;r korrekt tecken i ett katalognamn. Flaggan <b>-xf</b> kan anv&auml;ndas flera g&aring;nger. N&auml;r man vill utesluta alla f&ouml;rbjudna s&ouml;kv&auml;gar fr&aring;n s&ouml;kas igenom kan man g&ouml;ra f&ouml;ljande (exempel f&ouml;r wcd p&aring; unix):</p>

<pre><code>    wcd -xf ~/.ban.wcd -s</code></pre>

<p>Jokertecken st&ouml;ds. F&ouml;r att till exempel exkludera alla dina Subversion-kataloger med administrativa filer, l&auml;gg till en rad med <code>*/.svn</code>.</p>

<p>Flaggan <b>-xf</b> m&aring;ste anv&auml;ndas framf&ouml;r alla s&ouml;kflaggor (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

</dd>
<dt id="y---assume-yes"><b>-y, --assume-yes</b></dt>
<dd>

<p>Svara Ja p&aring; alla fr&aring;gor.</p>

<p>Wcd kommer inte att fr&aring;ga anv&auml;ndaren med ja/nej-fr&aring;gor, utan f&ouml;ruts&auml;tter att anv&auml;ndaren svarar ja p&aring; alla fr&aring;gor. Detta kan anv&auml;ndas i kombination med flaggan <b>-rmtree</b>. Detta alternativ m&aring;ste anv&auml;ndas framf&ouml;r alternativ som kan leda till ja/nej-fr&aring;gor.</p>

</dd>
<dt id="z-SIFFROR"><b>-z SIFFROR</b></dt>
<dd>

<p>St&auml;ll in maximal stack storlek till SIFFROR.</p>

<p>Standardstorleken f&ouml;r en stack &auml;r 10. Stack-funktionen kan st&auml;ngas av genom att st&auml;lla in storleken p&aring; 0. Den h&auml;r flaggan m&aring;ste anv&auml;ndas f&ouml;re alla andra stack- operationer (<b>-</b>,<b>+</b>,<b>=</b>). I annat fall kommer stackens storlek s&auml;ttastillbaka till standardv&auml;rdet 10.</p>

<p>Ett korrekt kommando &auml;r:</p>

<pre><code>    wcd -z 50 -</code></pre>

<p>Den nya stackstorleken blir 50, wcd g&aring;r en katalog tillbaka. Ett felkommando &auml;r:</p>

<pre><code>    wcd - -z 50</code></pre>

<p>Wcd g&aring;r en katalog tillbaka, stacken f&aring;r standardstorleken 10. <b>-z 50</b> ignoreras.</p>

<p>L&auml;gg till det h&auml;r alternativet som det f&ouml;rsta alternativet till ditt wcd-alias eller -funktion. t.e.x f&ouml;r ett POSIX-kompatibelt skal skulle detta vara:</p>

<pre><code>    wcd ()
    {
        wcd.exe -z 50 &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

</dd>
<dt id="SIFFRA"><b>-[SIFFRA]</b></dt>
<dd>

<p>Push till katalog ANTAL g&aring;nger. Standardv&auml;rdet &auml;r en g&aring;ng.</p>

<p>G&aring; tillbaka en katalog. Kommandot <code>wcd -</code> g&aring;r en katalog tillbaka. F&ouml;r att g&aring; tillbaka fler kataloger l&auml;gg till ett nummer. T.ex. kommando <code>wcd -3</code>. Stacken &auml;r cyklisk.</p>

</dd>
<dt id="SIFFRA1"><b>+[SIFFRA]</b></dt>
<dd>

<p>Pop till katalogen ANTAL g&aring;nger. Standardv&auml;rdet &auml;r en g&aring;ng.</p>

<p>G&aring; fram&aring;t en katalog. Kommandot <code>wcd +</code> g&aring;r en katalog fram&aring;t. F&ouml;r att g&aring; fler kataloger fram&aring;t l&auml;gg till ett nummer i den. T.ex. kommando <code>wcd +2</code>. Stacken &auml;r cyklisk.</p>

</dd>
<dt id="pod"><b>=</b></dt>
<dd>

<p>Visa stack.</p>

<p>Anv&auml;nd den h&auml;r flaggan om du inte l&auml;ngre vet hur m&aring;nga g&aring;nger du ska anropa push eller pop. Stacken skrivs ut och du kan v&auml;lja ett antal. Den aktuella platsen i stacken &auml;r markerad med en asterisk <code>*</code>.</p>

</dd>
</dl>

<h1 id="INSTALLATION">INSTALLATION</h1>

<p>Den aktuella arbetskatalogen f&ouml;r ett Unix-skal kan endast &auml;ndras med det inbyggda kommandot cd(1). D&auml;rf&ouml;r anropas programmet alltid av en funktion eller ett alias. Funktionen eller aliaset genererar ett skalskript (go-skript) som genereras av wcd-programmet. Wcd kan bara fungera efter att funktionen eller aliaset har definierats.</p>

<p>En annan viktig p&aring;verkan p&aring; din installation &auml;r definitionen av milj&ouml;variabler <i>HOME</i> och <i>WCDHOME</i>. Se avsnittet MILJ&Ouml;VARIABLER.</p>

<h2 id="Installera-fr-skal-av-POSIX-typ">Installera f&ouml;r skal av POSIX-typ</h2>

<p>F&ouml;r ett POSIX-skal (ksh, bash, zsh, etc.) p&aring; Unix, Linux, Cygwin eller inbyggt MSYS l&auml;gg till f&ouml;ljande funktion i skaluppstartsfilen (t.ex. Bash anv&auml;nder <code>$HOME/.bashrc</code>):</p>

<pre><code>    wcd ()
    {
        PATH/wcd.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

<p>Ers&auml;tt <i>S&Ouml;KV&Auml;G</i> med platsen d&auml;r wcd-k&ouml;rfilen har installerats. L&auml;s om skalinitieringsfilerna eller starta ett nytt skal.</p>

<p>Platsen f&ouml;r go-skriptet <code>wcd.go</code> skiljer sig &aring;t per skal.</p>

<p>Wcd f&ouml;r DJGPP DOS bash och OS/2 bash kr&auml;ver en annan funktion. Go- skriptet &auml;r inte skrivet i en katalog <code>bin</code>, och om <i>WCDHOME</i> och <i>HOME</i> inte b&aring;da &auml;r definierade skrivs go-scriptet i c:/.</p>

<p>DOS bash:</p>

<pre><code>    wcd ()
    {
        PATH/wcdbash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>OS/2 bash:</p>

<pre><code>    wcd ()
    {
        PATH/wcdos2bash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>WinZsh-versionen av wcd kr&auml;ver en lite annorlunda funktion. Go-scriptet kommer aldrig att skrivas i c:/.</p>

<pre><code>    wcd ()
    {
        PATH/wcdwin32zsh.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/wcd.go
    }</code></pre>

<p>Se avsnittet FILER f&ouml;r mer information.</p>

<h2 id="Installera-fr-C-liknande-skal-csh-tcsh">Installera f&ouml;r C-liknande skal (csh, tcsh)</h2>

<p>L&auml;gg till f&ouml;ljande alias till skalstartsfilen <code>$HOME/.cshrc</code> eller <code>$HOME/.tcshrc</code> :</p>

<pre><code>    if ( ${?WCDHOME} ) then
        alias wcd &quot;PATH/wcd.exe \!* ; source $WCDHOME/bin/wcd.go&quot;
    else
        alias wcd &quot;PATH/wcd.exe \!* ; source $HOME/bin/wcd.go&quot;
    endif</code></pre>

<p>Ers&auml;tt <i>S&Ouml;KV&Auml;G</i> med platsen d&auml;r wcd-k&ouml;rfilen har installerats. Ladda om skalinitieringsfilerna eller starta ett nytt skal.</p>

<h2 id="Windows-kommandotolksversion">Windows kommandotolksversion</h2>

<p>Packa upp zip-filen och l&auml;gg till katalog <code>bin</code> till din milj&ouml;variabel <i>S&Ouml;KV&Auml;G</i>.</p>

<p>I Windows kommandotolk kan inte ett Windows-program &auml;ndra den aktuella arbetskatalogen, men en .bat-fil kan. Batchskriptet <code>wcd.bat</code> k&ouml;r wcd-programmet som genererar ett nytt batchskript <code>wcdgo.bat</code>. Sedan k&ouml;r <code>wcd.bat</code> <code>wcdgo.bat</code> som faktiskt &auml;ndrar katalogen.</p>

<h2 id="Windows-VISTA-och-hgre">Windows VISTA och h&ouml;gre</h2>

<p>I kommandotolken i Windows VISTA och h&ouml;gre versioner kan du ha begr&auml;nsad tillg&aring;ng till kataloger. F&ouml;r att f&aring; tillg&aring;ng till flera kataloger beh&ouml;ver du administrat&ouml;r. r&auml;ttigheter. Du kan f&aring; en kommandotolk med administrat&ouml;rsr&auml;ttigheter om du h&ouml;ger Klicka p&aring; ikonen f&ouml;r kommandotolken och v&auml;lj <i>K&ouml;r som administrat&ouml;r</i>.</p>

<h2 id="Windows-PowerShell-version">Windows PowerShell version</h2>

<p>L&auml;gg till f&ouml;ljande funktion till din PowerShell-anv&auml;ndarprofil. Platsen f&ouml;r denna profil lagras i variabeln $profile. Det kr&auml;vs att en av milj&ouml;variablerna <i>HOME</i> eller <i>WCDHOME</i> &auml;r definierad.</p>

<pre><code>    function wcd
    {
        PATH\wcdwin32psh.exe $args
        &amp; $env:HOME\wcdgo.ps1
    }</code></pre>

<p>Ers&auml;tt <i>S&Ouml;KV&Auml;G</i> med platsen d&auml;r wcd-k&ouml;rfilen har installerats. Starta en ny PowerShell. Wcd f&ouml;r PowerShell st&ouml;der endast filsystemleverant&ouml;ren. Inga andra leverant&ouml;rer.</p>

<h2 id="OS-2-Kommandotolksversion">OS/2 Kommandotolksversion</h2>

<p>I en OS/2-kommandotolk (cmd.exe) kan ett OS/2-program inte &auml;ndra den aktuella arbetskatalogen. Det &auml;r d&auml;rf&ouml;r som wcd genererar ett kommandoskript <code>wcdgo.cmd</code>. som m&aring;ste exekveras i det aktuella skalet. Skriptet <code>wcd.cmd</code> b&ouml;rjar med att exekvera <code>wcdos2.exe</code>, som skapar skriptet <code>wcdgo.cmd</code>. D&auml;refter anv&auml;nds <code>wcd.cmd</code> skriptet <code>wcdgo.cmd</code>.</p>

<h1 id="LOKALISERING">LOKALISERING</h1>

<dl>

<dt id="LANG"><b>LANG</b></dt>
<dd>

<p>Det prim&auml;ra spr&aring;ket v&auml;ljs med milj&ouml;variabeln <i>LANG</i>. <i>LANG</i> best&aring;r av flera delar. Den f&ouml;rsta delen spr&aring;kkoden med gemener. Den andra delen &auml;r valfri och utg&ouml;rs av landet. landskoden med stora bokst&auml;ver, f&ouml;reg&aring;nget av ett understreck. Det finns ocks&aring; en valfri tredje del: teckenkodning, som f&ouml;reg&aring;s av en punkt. N&aring;gra exempel f&ouml;r POSIX-skal av standardtyp:</p>

<pre><code>    export LANG=nl               Nederl&auml;ndska
    export LANG=nl_NL            Nederl&auml;ndska, Nederl&auml;nderna
    export LANG=nl_BE            Nederl&auml;ndska, Belgien
    export LANG=es_ES            Spanska, Spanien
    export LANG=es_MX            Spanska, Mexico
    export LANG=en_US.iso88591   Engelska, USA, Latin-1-kodning</code></pre>

<p>F&ouml;r en komplett lista &ouml;ver spr&aring;k- och landskoder se gettext(1)-manualen: <a href="http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes">http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes</a> P&aring; Unix-system kan du anv&auml;nda kommandot locale(1) f&ouml;r att f&aring; se lokalspecifik information.</p>

</dd>
<dt id="LANG1"><b>LANG</b></dt>
<dd>

<p>Med milj&ouml;variabeln <i>LANGUAGE</i> kan du ange en prioriteringslista &ouml;ver spr&aring;k, separerade med kolon. Wcd ger f&ouml;retr&auml;de &aring;t <i>LANGUAGE</i> framf&ouml;r <i>LANG</i>. Till exempel f&ouml;rst nederl&auml;ndska och sedan tyska: <code>LANGUAGE=nl:de</code>. Du m&aring;ste f&ouml;rst aktivera lokalisering genom att st&auml;lla in <i>LANG</i> eller <i>LC_ALL</i> till en annat v&auml;rde &auml;n <i>C</i>, innan du kan anv&auml;nda en spr&aring;kprioriteringslista via variabeln <i>LANGUAGE</i>. Se &auml;ven manualen f&ouml;r gettext(1): <a href="http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variabel">http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variabel</a></p>

<p>Om du v&auml;ljer ett spr&aring;k som inte &auml;r tillg&auml;ngligt f&aring;r du standardmeddelanden p&aring; engelska.</p>

</dd>
<dt id="WCDLOCALEDIR"><b>WCDLOCALEDIR</b></dt>
<dd>

<p>Med milj&ouml;variabeln <i>WCDLOCALEDIR</i> kan den <i>LOCALEDIR</i> som anv&auml;nds under kompilering och installation av wcd kan &aring;sidos&auml;ttas. <i>LOCALEDIR</i> anv&auml;nds av wcd med st&ouml;d f&ouml;r modersm&aring;l f&ouml;r att hitta spr&aring;kfilerna. Den GNU standardv&auml;rdet &auml;r <code>/usr/local/share/locale</code>. Genom att skriva <code>wcd -V</code> kommer wcd att skriva ut det <i>LOCALEDIR</i> som anv&auml;nds.</p>

<p>Om du har installerat wcd i en annan katalog &auml;n standardkatalogen kan du beh&ouml;va st&auml;lla in milj&ouml;variabeln <i>WCDLOCALEDIR</i> att peka p&aring; lokalkatalogen.</p>

<p>Ett exempel f&ouml;r Windows cmd:</p>

<pre><code>    set WCDLOCALEDIR=c:/my_prefix/share/locale</code></pre>

<p>Ett exempel f&ouml;r ett POSIX-skal:</p>

<pre><code>    export WCDLOCALEDIR=$HOME/share/locale</code></pre>

</dd>
<dt id="LC_COLLATE"><b>LC_COLLATE</b></dt>
<dd>

<p>N&auml;r det finns flera katalogmatchningar presenterar wcd en sorterad lista. P&aring; sortering beror p&aring; inst&auml;llningarna f&ouml;r spr&aring;ket. Om milj&ouml;n <i>LANG</i> har varit har st&auml;llts in sorteras tr&auml;ffarna som ordb&ouml;cker eller telefonb&ouml;cker sorteras i det spr&aring;ket. Till exempel ignoreras punkter och streck, eller bokst&auml;ver e med och utan accent &auml;r likv&auml;rdiga, och man ignorerar skiftl&auml;ge.</p>

<p>Sorteringen ger f&ouml;retr&auml;de &aring;t milj&ouml;variabeln <i>LC_COLLATE</i> framf&ouml;r <i>LANG</i>. Om du g&ouml;r <i>LC_COLLATE</i> likv&auml;rdig med <code>C</code> eller <code>POSIX</code>, kommer sorteringen av lokalvariabeln inaktiveras. Om du till exempel vill ha nederl&auml;ndskt spr&aring;k, men inte nederl&auml;ndsk sortering, kan du g&ouml;ra n&aring;got liknande:</p>

<pre><code>    export LANG=nl_NL
    export LC_COLLATE=C</code></pre>

</dd>
<dt id="LC_CTYPE"><b>LC_CTYPE</b></dt>
<dd>

<p>Med avseende p&aring; teckenkodning kommer Wcd att ge f&ouml;retr&auml;de till variabel <i>LC_CTYPE</i> framf&ouml;r <i>LANG</i>. F&ouml;r att till exempel st&auml;lla in teckenkodning till UTF-8 kan f&ouml;ljande milj&ouml;inst&auml;llning g&ouml;ras.</p>

<pre><code>    export LC_CTYPE=en_US.UTF-8</code></pre>

</dd>
<dt id="LC_ALL"><b>LC_ALL</b></dt>
<dd>

<p>Alla lokalmilj&ouml;variabler som b&ouml;rjar med <i>LC_</i> &aring;sidos&auml;tts av milj&ouml;variabeln <i>LC_ALL</i> om den &auml;r definierad. Wcd ger f&ouml;retr&auml;de till <i>LC_ALL</i> framf&ouml;r <i>LC_COLLATE</i> och <i>LC_CTYPE</i>.</p>

</dd>
</dl>

<h2 id="WINDOWS-TECKENTABELLER">WINDOWS TECKENTABELLER</h2>

<p>Det finns tv&aring; grupper av teckentabeller: DOS-teckentabeller (OEM) och Windows-teckentabeller (ANSI). Standardkodningen f&ouml;r Windows, n&auml;r den &auml;r konfigurerad med v&auml;sterl&auml;ndskaregionala inst&auml;llningar, &auml;r ANSI CP1252. Windows-program, till exempel Anteckningsblock, anv&auml;nder denna ANSI-teckentabell f&ouml;r standardsystemet. Windows-konsolen anv&auml;nder som standard en OEM-teckentabell (CP437 eller CP850) f&ouml;r att vara kompatibel med DOS-program. Om du anv&auml;nder en DOS-version av wcd i en Windows-konsol kommer den att fungera, p&aring; grund av DOS-teckentabellen. Men DOS-versionen av wcd saknar st&ouml;d f&ouml;r l&aring;nga katalognamn och n&auml;tverksenheter i Windows.</p>

<p>Windows-versionen av wcd &auml;r ett Windows-program och kommer att anv&auml;nda Windows-systemets ANSI-tecketabell. P&aring; ett v&auml;sterl&auml;ndskt regionalt Windows kommer det allts&aring; att anv&auml;nda teckentabelle CP1252 f&ouml;r katalognamn och meddelanden. F&ouml;r att erh&aring;lla konsekvent utdata, oberoende av den aktiva teckentabellen, &ouml;vers&auml;tta alla Windows-versioner av Wcd ANSI-utdata till Unicode-utdata i kommandotolken och i PowerShell.</p>

<p>Konsolens rasterteckensnitt st&ouml;der endast den ursprungligt Windows-installerade OEM-teckentabellen. s&aring; du m&aring;ste &auml;ndra konsolens teckensnitt till Lucida Console f&ouml;r att Unicode- (och ANSI-) bokst&auml;ver ska visas korrekt.</p>

<p>Icke-Unicode-versioner av Wcd <i>f&ouml;re version 5.2.0</i> anv&auml;nder vanlig ANSI utskrift. F&ouml;r dessa &auml;ldre versioner m&aring;ste teckentabellen f&ouml;r konsolen vara lika med systemets teckentabell (&auml;ndras till 1252) f&ouml;r att g&ouml;ra att wcd f&ouml;r Windows fungerar korrekt med specialtecken, t.ex. tecken med accent eller Euro-symbolen.</p>

<p>Windows-systemets teckentabell kan &auml;ndras via kontrollpanelen regionalinst&auml;llningar. Windows-konsolens teckentabell &auml;ndras med kommandot <code>chcp</code>.</p>

<p>N&auml;r du skriver <code>wcd -V</code> visas den faktiska teckenkodning som anv&auml;nds av wcd. Skriv kommandot <code>chcp</code> f&ouml;r att visa den aktiva teckentabellen i Windows konsolen.</p>

<h2 id="UNICODE">UNICODE</h2>

<p>Wcd har valfritt st&ouml;d f&ouml;r Unicode. F&ouml;r att se om wcd byggdes med Unicode- st&ouml;d skriv <code>wcd -V</code>. Om din terminal/konsol och ditt typsnitt har st&ouml;d f&ouml;r det kan du b&ouml;r du se eurosymbolen och kinesiska tecken (vilket betyder: &quot;kinesiska&quot;).</p>

<p>Wcd har konverterats till Unicode. I sin k&auml;rna hanterar wcd alla data som en str&ouml;m av bytes. Endast de rader som skrivs ut p&aring; sk&auml;rmen konverteras till Unicode-breda tecken. Wcd f&ouml;rlitar sig helt p&aring; libc-funktioner och har ingen UTF-8-specifik kod. Se &auml;ven <a href="http://www.cl.cam.ac.uk/~mgk25/unicode.html">http://www.cl.cam.ac.uk/~mgk25/unicode.html</a></p>

<p>Wcd har valfritt st&ouml;d f&ouml;r Unicode-matchning med normalisering.F&ouml;r att ta reda p&aring; om Wcd har st&ouml;d f&ouml;r normalisering, skriv <code>wcd -V</code>. Wcd med Unicode-normaliseringsst&ouml;d kommer att matcha Unicode-namn baserat p&aring; <i>compatible</i>. ekvivalens. Utan st&ouml;d f&ouml;r Unicode-normalisering matchas namn n&auml;r de &auml;r bin&auml;rt likv&auml;rdiga. Se &auml;ven <a href="http://en.wikipedia.org/wiki/Unicode_normalisering">http://en.wikipedia.org/wiki/Unicode_normalisering</a></p>

<h3 id="UTF-8-p-Unix-Linux">UTF-8 p&aring; Unix/Linux</h3>

<p>F&ouml;r att kunna se UTF-8-tecken m&aring;ste din konsol/terminal ocks&aring; st&ouml;dja UTF-8. Xterm-versionen som kommer med XFree86 4.0 eller h&ouml;gre inkluderar UTF-8-st&ouml;d. F&ouml;r att aktivera det, starta xterm(1) i en UTF-8-lokal och anv&auml;nd ett teckensnitt med iso10646-1-kodning, till exempel med</p>

<pre><code>    LC_CTYPE=en_GB.UTF-8 xterm -u8 -fn &#39;-Misc-Fixed-Medium-R-SemiCondensed--13-120-75-75-C-60-ISO10646-1&#39;</code></pre>

<p>Moderna distributioner av GNU/Linux st&ouml;der UTF-8 som standard. Andra teckenkodningar med flera byte borde ocks&aring; fungera, men det har inte testats.</p>

<p>Wcd f&ouml;ruts&auml;tter att tr&auml;ddatafiler &auml;r kodade i lokal-teckenkodningen. Det finns inga byteordningsm&auml;rken skrivna till tr&auml;ddatafiler.</p>

<h3 id="UTF-16-p-Windows">UTF-16 p&aring; Windows</h3>

<p>P&aring; Windows st&ouml;ds Unicode i alla versioner av PowerShell och i Windows Kommandotolk p&aring; Windows 7 (eller senare). Unicode fungerar &auml;ven i Take Command eller TCC/LE gjorda av JP Software, som kan anv&auml;ndas p&aring; &auml;ldre Windows-versioner (XP/Vista).</p>

<p>P&aring; Windows &auml;r alla katalognamn p&aring; h&aring;rddisken kodade i UTF-16 Unicode. F&ouml;r icke-Unicode Windows-program &ouml;vers&auml;tts Unicode-tecknen till standard ANSI-kodtabellen. F&ouml;r tecken som inte ing&aring;r i den regionala inst&auml;llningen &auml;r denna &ouml;vers&auml;ttning inte m&ouml;jlig och icke-Unicode-program skriver ut ett fr&aring;getecken eller ett fel tecken ist&auml;llet.</p>

<p>Wcd med Unicode-st&ouml;d l&auml;ser de UTF-16-kodade katalognamnen och konverterar dem internt till UTF-8. Alla tr&auml;ddatafiler &auml;r kodade i UTF-8 och &auml;r inte kompatibla med icke-Unicode-versionen av Wcd. Wcd kommer att skapa ett go-skript kodat i UTF-8.</p>

<p>Alla versioner av Windows PowerShell kan k&ouml;ra skript kodade i UTF-8, f&ouml;rutsatt att det finns en UTF-8 BOM i skriptet.</p>

<p>Sedan Windows 7 &auml;r det m&ouml;jligt att byta katalog i Windows kommmandotolkmed ett batchskript till en katalog med Unicode-bokst&auml;ver i namnet. katalognamnet m&aring;ste vara kodat i UTF-8, och batch-skriptet m&aring;ste vara kodat i <i>not</i> ha en BOM. Den aktiva teckentabellen i kommandotolken m&aring;ste vara inst&auml;lld p&aring; 65001 (UTF-8) f&ouml;re cd-kommandot. Wcd f&ouml;r kommandotolken kommer att skapa ett go-skript <code>wcdgo.bat</code>. Det &auml;ndrar f&ouml;rst teckentabellen till 65001, byter sedan katalog och st&auml;ller slutligen in teckentabellen igen till ursprungliga teckentabellen.</p>

<p>Du m&aring;ste st&auml;lla in teckensnittet till True Type Lucida Console (inte rasterteckensnitt) n&auml;r bokst&auml;ver inte visas korrekt.</p>

<p>Windows-versionen av Wcd som inte &auml;r Unicode kan l&auml;sa Unicode tr&auml;ddata-filer sedan version 5.2.0, f&ouml;rutsatt att det finns en Byte Order Mark (BOM) i filen (se <a href="http://sv.wikipedia.org/wiki/Byte_order_mark">http://sv.wikipedia.org/wiki/Byte_order_mark</a>), men den kan inte &auml;ndra till kataloger med Unicode-bokst&auml;ver i namnet som inte &auml;r en del av standardsystemets ANSI-teckentabell. Unicode Windows-versionen av wcd skriver en BOM i UTF-8-kodade tr&auml;ddata-filer sedan version 5.2.0, vilket g&ouml;r dem l&auml;sbara &auml;ven med anteckningsblock.</p>

<h3 id="UTF-8-p-Cygwin">UTF-8 p&aring; Cygwin</h3>

<p>Cygwin st&ouml;der Unicode sedan version 1.7. Cygwin-skiktet ser till att Windows UTF-16 Unicode-namn konverteras till UTF-8. S&aring; program som wcd, beh&ouml;ver inte vara medvetna om detta och kan arbeta med UTF-8-kodning som p&aring; Unix/Linux. St&auml;ll in teckenkodning till UTF-8 med <i>LANG</i> eller <i>LC_CTYPE</i> milj&ouml;variabel. Du kan beh&ouml;va s&ouml;ka om dina enheter. Du m&aring;ste st&auml;lla in teckensnittet till True Type Lucida Console (inte rasterteckensnitt) om du anv&auml;nder standardkonsolen i Cygwin.</p>

<p>Cygwin-versionen beter sig exakt som Unix-versionen av wcd. Det finns ingen BOM i tr&auml;ddatafilerna, och det antas att de &auml;r kodade i <b>Cygwin</b> lokal teckenkodning.</p>

<h1 id="FILER">FILER</h1>

<p>Om milj&ouml;variabeln <i>WCDHOME</i> &auml;r inst&auml;lld kommer wcd att anv&auml;nda <i>WCDHOME</i>. ist&auml;llet f&ouml;r <i>HOME</i>. Alla <code>*.wcd</code>-filer &auml;r textfiler. De kan redigeras med en textredigerare. Windows kommandotolk-versionen av wcd beter sig som DOS-versionen. Cygwin-versionen av wcd beter sig som Unix-versionen.</p>

<dl>

<dt id="wcd.exe"><b>wcd.exe</b></dt>
<dd>

<p>Programmet. I Unix-skal anropas programmet alltid av en funktion eller alias, eftersom den aktuella arbetskatalogen f&ouml;r ett Unix-skal endast kan &auml;ndras av det inbyggda cd-kommandot. Se &auml;ven avsnitt INSTALLATION.</p>

</dd>
<dt id="standardtrddatafil"><b>standardtr&auml;ddatafil</b></dt>
<dd>

<p>Detta &auml;r standardtr&auml;ddatafilen d&auml;r wcd s&ouml;ker efter matchningar. Om den inte &auml;r l&auml;sbar kommer wcd att skapa en ny.</p>

<pre><code>    DOS: \treedata.wcd eller %HOME%\treedata.wcd
    Unix: $HOME/.treedata.wcd</code></pre>

</dd>
<dt id="extra-trddatafil"><b>extra tr&auml;ddatafil</b></dt>
<dd>

<p>En valfri extra tr&auml;ddatafil. Om den finns och &auml;r l&auml;sbar kommer wcd ocks&aring; att f&ouml;rs&ouml;ka hitta matchningar i den h&auml;r filen.</p>

<pre><code>    DOS: \extra.wcd eller %HOME%\extra.wcd
    Unix: $HOME/.extra.wcd</code></pre>

</dd>
<dt id="frbjud-fil"><b>f&ouml;rbjud fil</b></dt>
<dd>

<p>I denna valfria fil placerar wcd f&ouml;rbjudna s&ouml;kv&auml;gar. Se alternativ <b>-b</b>. Jokertecken st&ouml;ds.</p>

<pre><code>    DOS: \ban.wcd eller %HOME%\ban.wcd
    Unix: $HOME/.ban.wcd</code></pre>

</dd>
<dt id="alias-fil"><b>alias fil</b></dt>
<dd>

<p>Valfri fil med wcd alias. Se alternativ <b>-l</b>.</p>

<pre><code>    DOS: \alias.wcd eller %HOME%\alias.wcd
    Unix: $HOME/.alias.wcd</code></pre>

</dd>
<dt id="stackfil"><b>stackfil</b></dt>
<dd>

<p>I den h&auml;r filen lagrar wcd sin stack. Enhetsbokstaven kan &auml;ndras med alternativet <b>-d</b>.</p>

<pre><code>    DOS: c:\stack.wcd eller %HOME%\stack.wcd
    Unix: $HOME/.stack.wcd</code></pre>

<p>Namnet p&aring; stackfilen kan &auml;ndras med milj&ouml;variabeln <i>WCDSTACKFILE</i>. Se avsnittet MILJ&Ouml;VARIABLER.</p>

</dd>
<dt id="go-skript"><b>go-skript</b></dt>
<dd>

<p>Detta &auml;r det skalskript som wcd.exe skapar varje g&aring;ng. Det kommer fr&aring;n en funktion eller ett alias. Enhetsbeteckningen kan &auml;ndras med <b>-d</b> alternativet. Av historiska sk&auml;l placeras det som standard i <code>$HOME/bin</code> p&aring; Unix. system. Katalogen f&ouml;r denna fil kan &auml;ndras med flaggan <b>-G</b>.</p>

<pre><code>    DOS bash: c:/wcd.go or $HOME/wcd.go
    Windows Command Prompt: c:\wcdgo.bat or %HOME%\wcdgo.bat
    Windows PowerShell: $env:HOME\wcdgo.ps1
    WinZsh: $HOME/wcd.go
    Cygwin/MSYS: $HOME/bin/wcd.go
    OS/2 Command Prompt: c:\wcdgo.cmd or %HOME%\wcdgo.cmd
    OS/2 bash: c:/wcd.go or $HOME/wcd.go
    Unix: $HOME/bin/wcd.go</code></pre>

</dd>
<dt id="relativ-trddatafil"><b>relativ tr&auml;ddatafil</b></dt>
<dd>

<p>Textfil med relativa s&ouml;kv&auml;gar fr&aring;n <i>KAT</i>. Se alternativ <b>+S</b>, <b>-n</b> och <b>+n</b>.</p>

<pre><code>    DOS: PATH\rtdata.wcd
    Unix: PATH/.rtdata.wcd</code></pre>

</dd>
</dl>

<h1 id="MILJVARIABLER">MILJ&Ouml;VARIABLER</h1>

<dl>

<dt id="HOME"><b>HOME</b></dt>
<dd>

<p>Wcd anv&auml;nder som standard milj&ouml;variabeln <i>HOME</i> f&ouml;r att best&auml;mma var den ska lagras. filerna. Se &auml;ven avsnittet FILES. Detta kan &aring;sidos&auml;ttas med milj&ouml; variabeln <i>WCDHOME</i>.</p>

<p><i>HOME</i> definierar ocks&aring; var s&ouml;kningen av disken ska b&ouml;rja n&auml;r flaggan <b>-s</b> anv&auml;nds. Detta kan &aring;sidos&auml;ttas med milj&ouml;variabeln <i>WCDSCAN</i>.</p>

<p>F&ouml;r Unix-, Cygwin-, Windows PowerShell-, WinZsh- och MSYS-versionen &auml;r det kr&auml;vs att <i>HOME</i> eller <i>WCDHOME</i> &auml;r inst&auml;llt. F&ouml;r de andra versionerna av wcd &auml;r det frivilligt att anv&auml;nda dessa variabler.</p>

<p>Om <i>HOME</i> &auml;r inst&auml;llt p&aring; DOS/Windows kommer wcd att placera alla sina filer (tr&auml;ddata.wcd, extra.wcd, alias.wcd, ban.wcd, wcd.go) i katalogen <i>HOME</i>.Beteendet hos wcd &auml;r d&aring; detsamma som Unix-versionen av wcd. Wcd kommer att s&ouml;ka igenom disken fr&aring;n <i>HOME</i>. Enheter kommer inte att skannas automatiskt av &auml;ndra till dem. Du m&aring;ste s&auml;ga till wcd uttryckligen. T.ex:</p>

<pre><code>    wcd -S c: -A d: -A e:</code></pre>

<p>Matchning av kataloger &auml;r nu global &ouml;ver alla skannade enheter.</p>

</dd>
<dt id="WCDHOME"><b>WCDHOME</b></dt>
<dd>

<p>Milj&ouml;variabeln <i>WCDHOME</i> kan anv&auml;ndas f&ouml;r att &auml;ndra platsen f&ouml;r wcd:s filer. Om b&aring;de <i>HOME</i> och <i>WCDHOME</i> &auml;r inst&auml;llda kommer <i>WCDHOME</i> att anv&auml;ndas. ist&auml;llet f&ouml;r <i>HOME</i>.</p>

<p>I wcd-versioner f&ouml;re 5.1.5 &auml;ndrade <i>WCDHOME</i> ocks&aring; standardkatalogen. f&ouml;r s&ouml;kning. Detta har &auml;ndrats. Sedan version 5.1.5 &auml;ndrar <i>WCDHOME</i> inte standardkatalogen f&ouml;r s&ouml;kning. Se flaggan <b>-s</b>. Fr&aring;n och med version 5.1.5 anv&auml;nder du milj&ouml;variabeln <i>WCDSCAN</i> f&ouml;r att &aring;sidos&auml;tta standardkatalogen f&ouml;r skanning.</p>

<p>Exempel f&ouml;r DOS, Windows, OS/2 Kommandotolk:</p>

<pre><code>    set WCDHOME=C:\Users\erwin\wcd</code></pre>

<p>Ett exempel f&ouml;r skal av POSIX-typ:</p>

<pre><code>    export WCDHOME=&quot;$HOME/.wcd&quot;</code></pre>

<p>Ett exempel f&ouml;r skal av Csh-typ:</p>

<pre><code>    setenv WCDHOME &quot;$HOME/.wcd&quot;</code></pre>

</dd>
<dt id="WCDSCAN"><b>WCDSCAN</b></dt>
<dd>

<p>Anv&auml;nd milj&ouml;variabeln <i>WCDSCAN</i> f&ouml;r att &aring;sidos&auml;tta standardkatalogen f&ouml;r s&ouml;kning. <i>HOME</i>. Definiera en kolonseparerad lista (Unix) f&ouml;r att definiera mer &auml;n en katalog. P&aring; DOS/Windows g&ouml;r du listan semikolonseparerad.</p>

<p>Exempel f&ouml;r DOS, Windows, OS/2 Kommandotolk:</p>

<pre><code>    set WCDSCAN=C:\Users\erwin;D:\data

    set WCDSCAN=%HOMEDRIVE%%HOMEPATH%;\\projectdrive\projectX</code></pre>

<p>Ett exempel f&ouml;r skal av POSIX-typ:</p>

<pre><code>    export WCDSCAN=&quot;$HOME:/projectdisk/projectX&quot;</code></pre>

<p>Ett exempel f&ouml;r skal av Csh-typ:</p>

<pre><code>    setenv WCDSCAN &quot;$HOME:/projectdisk/projectX&quot;</code></pre>

</dd>
<dt id="WCDFILTER"><b>WCDFILTER</b></dt>
<dd>

<p>Ange filter med milj&ouml;variabeln <i>WCDFILTER</i>. Alla kataloger som inte matchar filtren ignoreras. En lista kan specificeras genom att separera filtren med skalets s&ouml;kv&auml;gsseparator. P&aring; samma s&auml;tt som att ange <i>PATH</i>-variabeln. Skiftl&auml;gesk&auml;nslighet &auml;r beroende av operativsystemet.</p>

<p>Ett exempel f&ouml;r DOS, Windows, OS/2 Kommandotolk:</p>

<pre><code>    set WCDFILTER=projects;doc</code></pre>

<p>Ett exempel f&ouml;r skal av POSIX-typ:</p>

<pre><code>    export WCDFILTER=&quot;projects:doc&quot;</code></pre>

<p>Ett exempel f&ouml;r skal av Csh-typ:</p>

<pre><code>    setenv WCDFILTER &quot;projects:doc&quot;</code></pre>

</dd>
<dt id="WCDBAN"><b>WCDBAN</b></dt>
<dd>

<p>De s&ouml;kv&auml;gar som anges med milj&ouml;variabeln <i>WCDBAN</i> kommer att f&ouml;rbjudas av wcd. Se &auml;ven flaggan <b>-b</b>. Ange en lista med s&ouml;kv&auml;gar separerade med skalets <i>PATH</i>-separator</p>

</dd>
<dt id="WCDEXCLUDE"><b>WCDEXCLUDE</b></dt>
<dd>

<p>De s&ouml;kv&auml;gar som anges med milj&ouml;variabeln <i>WCDEXCLUDE</i> kommer att uteslutas av wcd. Se &auml;ven flaggorna <b>-x</b> och <b>-xf</b>. Ange en lista med s&ouml;kv&auml;gar separerade med skalets <i>PATH</i>-separator.</p>

<p>Ett exempel f&ouml;r DOS, Windows, OS/2 Kommandotolk:</p>

<pre><code>    set WCDEXCLUDE=*/windows;*/temp;*CVS</code></pre>

<p>Ett exempel f&ouml;r skal av POSIX-typ:</p>

<pre><code>    export WCDEXCLUDE=&quot;/dev:/tmp:*CVS&quot;</code></pre>

<p>Ett exempel f&ouml;r skal av Csh-typ:</p>

<pre><code>    setenv WCDEXCLUDE &quot;/dev:/tmp:*CVS&quot;</code></pre>

</dd>
<dt id="WCDUSERSHOME"><b>WCDUSERSHOME</b></dt>
<dd>

<p>Ange basen f&ouml;r anv&auml;ndarens hemkataloger. P&aring; DOS/Windows &auml;r standardv&auml;rdet <code>\\users</code>. P&aring; Unix/Cygwin &auml;r standardv&auml;rdet <code>/home</code>. Variabeln anv&auml;nds f&ouml;r att s&ouml;ka igenom andra anv&auml;ndares tr&auml;ddatafiler. Se &auml;ven flaggorna <b>-u</b> och <b>+u</b>. I verbose-l&auml;ge skriver wcd ut alla filter, f&ouml;rbud och uteslutningar. Se flaggan <b>-v</b>.</p>

</dd>
<dt id="WCDSTACKFILE"><b>WCDSTACKFILE</b></dt>
<dd>

<p>Wcd f&ouml;redrar <i>WCDSTACKFILE</i> framf&ouml;r standardnamnet f&ouml;r stackfilen. (se avsnittet FILES). Med denna variabel kan varje skal (eller anv&auml;nd terminal emulator) ha sin privata stack av anv&auml;nda kataloger.</p>

<p>F&ouml;r att anv&auml;nda en unik tidsbaserad YYYYYMMDD-HHMMSS-fil f&ouml;r varje &ouml;ppnad interaktivt skal.</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$(date +%Y%m%d-%H%M%S)</code></pre>

<p>F&ouml;r en stack per xterm(1), anv&auml;nd milj&ouml;variabeln xterm <i>WINDOWID</i>:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOWID</code></pre>

<p>F&ouml;r GNU screen(1), f&ouml;r att anv&auml;nda en stack per sk&auml;rm:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOW</code></pre>

</dd>
<dt id="TERMINFO"><b>TERMINFO</b></dt>
<dd>

<p>Om milj&ouml;variabeln <i>TERMINFO</i> &auml;r definierad kan wcd med ncurses-gr&auml;nssnittet kontrollera om det finns en lokal terminaldefinition innan det kontrollerar standardplatsen. Det &auml;r anv&auml;ndbart om terminaldefinitioner inte finns p&aring; en standard- plats. Ofta anv&auml;nda standardplatser &auml;r <code>/usr/lib/terminfo</code> och <code>/usr/share/terminfo</code>.</p>

</dd>
<dt id="PDC_RESTORE_SCREEN"><b>PDC_RESTORE_SCREEN</b></dt>
<dd>

<p>Wcd med PDCurses-gr&auml;nssnittet k&auml;nner igen milj&ouml;variabeln <i>PDC_RESTORE_SCREEN</i>. Om denna milj&ouml;variabel &auml;r inst&auml;lld kommer PDCurses att ta en kopia av inneh&aring;llet p&aring; sk&auml;rmen n&auml;r wcd startas; N&auml;r wcd avslutas kommer sk&auml;rmen att &aring;terst&auml;llas. Ett exempel f&ouml;r Windows kommandotolk:</p>

<pre><code>    set PDC_RESTORE_SCREEN=1</code></pre>

<p>Windows till&aring;ter endast att en liten buffert sparas. Det &auml;r allts&aring; inte alltid m&ouml;jligt att &aring;terst&auml;lla allt. En del skr&auml;pdata kan skrivas ut i konsolen efter att wcd avslutas om du har st&auml;llt in en stor buffertbredd.</p>

</dd>
<dt id="SHELL"><b>SHELL</b></dt>
<dd>

<p>Utskrift av <code>#!$SHELL</code> p&aring; f&ouml;rsta raden i go-scriptet f&ouml;r POSIX-skal eller C shell beh&ouml;vs f&ouml;r 8-bitars tecken. Vissa skal tror annars att att go-scriptet &auml;r en bin&auml;r fil och kommer inte att l&auml;sa in den. I Cygwin Bash m&aring;ste variabeln <i>SHELL</i> st&auml;llas in i milj&ouml;n med hj&auml;lp av <code>export</code> kommandot, annars kan wcd inte l&auml;sa variabeln.</p>

</dd>
<dt id="BASH"><b>BASH</b></dt>
<dd>

<p>Wcd f&ouml;r DOS bash anv&auml;nder <code>$BASH</code> ist&auml;llet f&ouml;r <code>$SHELL</code>, eftersom <code>$SHELL</code> pekar p&aring; DOS-kommandoskalet. Man kan beh&ouml;va definiera <code>$BASH</code> med en <code>export</code>-kommando, annars kan wcd inte l&auml;sa variabeln.</p>

</dd>
</dl>

<h1 id="SE-VEN">SE &Auml;VEN</h1>

<p>sh(1), bash(1), csh(1), ksh(1), zsh(1), locale(1), ncurses(1),</p>

<h1 id="SKAPARE">SKAPARE</h1>

<p>Wcd skapades av Erwin Waterlander &lt;waterlan@xs4all.nl&gt;</p>

<p>Projektets hemsida: <a href="http://waterlan.home.xs4all.nl/">http://waterlan.home.xs4all.nl/</a></p>

<p>SourceForge: <a href="http://sourceforge.net/projects/wcd/">http://sourceforge.net/projects/wcd/</a></p>

<p>Manualsidans formatering tillhandah&ouml;lls av Jari Aalto &lt;jari.aalto@cante.net&gt;.</p>

<p>NCD skrevs ursprungligen av Brad Kingsbury f&ouml;r Peter Nortons &quot;Norton Utilities&quot; omkring 1987. Se &auml;ven <a href="http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml">http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml</a></p>


</body>

</html>


